package com.zcloud.mapper.datasource.hiddenDangerCheckStandard;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：隐患审核
 * 作者：luoxiaobao
 * 时间：2022-04-14
 * 官网：www.zcloudchina.com
 */
public interface CustomHiddenExamineMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**修改确认打回的信息
	 * @param pd
	 * @throws Exception
	 */
	void editrepulse(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);
	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void updateBySpecial(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> listAndHiddendatalistPage(Page page);
	public PageData findByIdAndHidden(PageData pd);

    List<PageData> findByHiddenId(PageData pd);

    void deleteByHiddenId(PageData pd);
}

